{"swagger":"2.0","info":{"title":"1BL API","description":"the API documentation for 1BL","version":"1.2.0"},"paths":{"/accounts/registration":{"post":{"tags":["auth"],"summary":"Register users","description":"anyone can create an account.\n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body"}}}},"responses":{"201":{"description":"created successful","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"options":{"tags":["auth"],"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'GET,POST,PATCH,OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/accounts/{account_id}/preferences":{"patch":{"tags":["auth"],"summary":"update account preferences","description":"update account preferences to get the value of Tracking Reference","parameters":[{"name":"account_id","in":"path","description":"The account_id of user","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_1"}}}},"responses":{"201":{"description":"created successful","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["auth"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/accounts/{account_id}/users/{user_id}/preferences":{"get":{"tags":["auth"],"summary":"get the account prefernces","description":"get account preferences","parameters":[{"name":"account_id","in":"path","description":"The account_id of user","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"user_id","in":"path","description":"The id of user","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accounts_preferences"}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["auth"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/accounts/{account_id}/customers":{"get":{"tags":["auth"],"summary":"Get account customers by customer name","operationId":"getCustomerByName","parameters":[{"name":"account_id","in":"path","description":"The account_id of user.","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"customer_name[$like]","in":"query","description":"the customer name you want to link with this shipment. You will get the object with id of customer if customer exsit. to send the customer id with creating shipment. ADD % BEFORE VALUE for example %MOH  will get all names that starts with moh.","required":true,"style":"form","explode":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accounts_customers"}}}}},"400":{"description":"Invalid supplied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/schemas/Error"}},"security":[{"bearerAuth":[]}]},"options":{"tags":["auth"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/accounts/{account_id}/carriers/{carrier_id}/phones":{"get":{"tags":["auth"],"description":"Get account carrier Phones numbers","operationId":"getCarriersByName","parameters":[{"name":"account_id","in":"path","description":"The account_id of user","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"carrier_id","in":"path","description":"The account_id of user","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"carrier_phone","in":"query","description":"the phone number that linked selected carrir . ADD % BEFORE/AFTER TO GET CARRIRES Phones START WITH AND END. ex %phone%","required":false,"style":"form","explode":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Carriers_phones"}}}}},"400":{"description":"Invalid supplied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/schemas/Error"}},"security":[{"bearerAuth":[]}]},"options":{"tags":["auth"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/accounts/{account_id}/truck-trailer/{carrier_id}":{"get":{"tags":["auth"],"description":"Get account carrier Phones numbers","operationId":"getTruckTralier","parameters":[{"name":"account_id","in":"path","description":"The account_id of user","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"carrier_id","in":"path","description":"The carrier_id","required":true},{"name":"type","in":"query","description":"type is one of these columns [truck_number or trialer_number]","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"search","in":"query","description":"the truck/trailer that linked selected carrir . ADD % BEFORE/AFTER TO GET CARRIRES truck/trailer START WITH AND END. ex %search%","required":false,"style":"form","explode":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accounts_truck_trailer_response"}}}}},"400":{"description":"Invalid supplied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/schemas/Error"}},"security":[{"bearerAuth":[]}]},"options":{"tags":["auth"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/accounts/{account_id}/carriers":{"get":{"tags":["auth"],"summary":"Get account carriers by carrier name","operationId":"getCarriersPhonesById","parameters":[{"name":"account_id","in":"path","description":"The account_id of user","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"carrier_name[$like]","in":"query","description":"the carrire name you want to link with this shipment. You will get the object with id of carrire if carrier exsit. to send the id with creating shipment. ADD % BEFORE/AFTER TO GET CARRIRES NAME START WITH AND END. ex %name%","required":true,"style":"form","explode":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accounts_carriers"}}}}},"400":{"description":"Invalid supplied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/schemas/Error"}},"security":[{"bearerAuth":[]}]},"options":{"tags":["auth"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/accounts/{account_id}/locations":{"get":{"tags":["auth"],"summary":"Get account Locations by location name","operationId":"getLocationsByName","parameters":[{"name":"account_id","in":"path","description":"The account_id of user","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"location_name[$like]","in":"query","description":"get locations by name. You will get the list of locations for current account or a location, or none.","required":true,"style":"form","explode":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accounts_locations"}}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["auth"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/accounts/{account_id}/tracking_reference":{"get":{"tags":["auth"],"summary":"Get account Locations by location name","operationId":"getTrackingRefernceByName","parameters":[{"name":"account_id","in":"path","description":"The account_id of user","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"truck_number[$like]","in":"query","description":"Accourding to account preferences if user save it as truck will use it. if user save his prefernces to off. do not send any thing.get Tracking Reference by truck number. You will get the list of Tracking Reference list using truck number","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"trailer_number[$like]","in":"query","description":"Accourding to account preferences if user save it as trailer will use it. if user save his prefernces to OFF. do not send any thing. You will get the list of Tracking Reference list using truck number","required":false,"style":"form","explode":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accounts_truck_trailer_tracking"}}}}}},"security":[{"bearerAuth":[]}]}},"/configrations":{"get":{"tags":["auth"],"summary":"Get account window time settings","operationId":"getWindowTime","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/configurations"}}}}}},"security":[{"bearerAuth":[]}]},"patch":{"tags":["auth"],"summary":"update window time settings","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_2"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["auth"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/als_eld/{shipment_id}":{"put":{"tags":["ALS_ELD"],"summary":"start tracking","description":"this operation used to start tracking using ALS ELD","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"delete":{"tags":["ALS_ELD"],"description":"stop the shipment`s tracking","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["ALS_ELD"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/als_eld/shipment_tracking":{"post":{"tags":["ALS_ELD"],"description":"this endpoint will be used for batch which is going to request many times","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"tags":["ALS_ELD"],"options":{"tags":["ALS_ELD"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/freightradar_eld/{shipment_id}":{"put":{"tags":["freightradar_eld"],"summary":"start tracking","description":"this operation used to start tracking using freightradar eld","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"delete":{"tags":["freightradar_eld"],"description":"stop the shipment`s tracking","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["freightradar_eld"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/freightradar_eld/shipment_tracking":{"post":{"tags":["freightradar_eld"],"description":"this endpoint will be used for batch which is going to request many times","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["freightradar_eld"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/positrace_eld/{shipment_id}":{"put":{"tags":["positrace_eld"],"summary":"start tracking","description":"this operation used to start tracking using positrace eld","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"delete":{"tags":["positrace_eld"],"description":"stop the shipment`s tracking","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["positrace_eld"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/positrace_eld/shipment_tracking":{"post":{"tags":["positrace_eld"],"description":"this endpoint will be used for batch which is going to request many times","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["positrace_eld"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments_tracking/{shipment_id}":{"put":{"tags":["shipments_tracking"],"description":"this operation will be used to start tracking on shipment","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"post":{"tags":["shipments_tracking"],"description":"Add the tracking point to Shipment Tracking","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_1"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Shipments_tracking"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]},"delete":{"tags":["shipments_tracking"],"summary":"this operation will be used to stop tracking on shipment","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments_tracking"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments_tracking/{shipment_id}/tracking_info":{"get":{"tags":["shipments_tracking"],"description":"this operation used to return all shipment's tracking points.\n","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment to get the related points","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Shipments_tracking"}}}}},"400":{"description":"Invalid shipment supplied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/schemas/Error"}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments_tracking"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments_tracking/{shipment_id}/eld_status":{"post":{"tags":["shipments_tracking"],"description":"this operation used to return shipment tracking status update\n","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_2"}}}},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"type":"object","example":{}}}}},"400":{"description":"Invalid data supplied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/schemas/Error"}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments_tracking"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/triple8_eld/{shipment_id}":{"put":{"tags":["triple8_eld"],"summary":"start tracking","description":"this operation used to start tracking using triple8 eld","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"delete":{"tags":["triple8_eld"],"description":"stop the shipment`s tracking","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["triple8_eld"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/triple8_eld/shipment_tracking":{"post":{"tags":["triple8_eld"],"description":"this endpoint will be used for batch which is going to request many times","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["triple8_eld"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/users/{user_id}":{"get":{"tags":["Users"],"summary":"get user information","parameters":[{"name":"user_id","in":"path","description":"user id","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User_Info"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["Users"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments":{"get":{"tags":["shipments"],"summary":"list all shipments description:to list all shipments in the systems","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Shipments"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]},"post":{"tags":["shipments"],"summary":"add shipment","description":"by passing the shipment information you can add new you shippment\n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body"}}}},"responses":{"201":{"description":"created successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_201"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments/{shipment_id}":{"get":{"tags":["shipments"],"summary":"get shipment information","description":"By passing in the id, you can get  the shipment information in the system\n","operationId":"getShipmentById","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment that needs to be fetched.","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Shipments"}}}},"400":{"description":"Invalid shipment supplied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/schemas/Error"}},"security":[{"bearerAuth":[]}]},"patch":{"tags":["shipments"],"summary":"update shipment","description":"this operation used to update shipment by passing the id and the new data","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"version","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_1"}}}},"responses":{"201":{"description":"created successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/response_info"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["positrace_eld"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/public/shipment/{token}":{"get":{"tags":["shipments"],"description":"this operation used to get public shipment details","parameters":[{"name":"token","in":"path","description":"sharable token","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Shipments"}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments/{shipment_id}/shipment_updates":{"get":{"tags":["shipments"],"description":"this operation used to get the shipment updates.","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Shipment_updates_response"}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]}},"/shipments/{shipment_id}/status":{"put":{"tags":["shipments"],"summary":"update shipment status","description":"this operation used to update shipment status","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_2"}}}},"responses":{"201":{"description":"created successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_201_1"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments/{shipment_id}/start-tracking-date-reculcaltion/":{"post":{"tags":["shipments"],"summary":"update shipment status","description":"this operation used to update shipment status","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"version","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"201":{"description":"created successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/response_info"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments/{shipment_id}/public/{token}":{"delete":{"tags":["shipments"],"description":"this operation used to expire the link  and generate new token(link)","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"token","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Shipment_url_sharing"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"patch":{"tags":["shipments"],"summary":"update shipment sharing link","description":"this operation used to update shipment sharing link","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"token","in":"path","description":"The token of sharing link","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_3"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments/{shipment_id}/pick_drop/{pick_drop_id}/status":{"put":{"tags":["shipments"],"summary":"update pick/drop of shipment status","description":"this operation used to update the pick/drop of given shipment status","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"pick_drop_id","in":"path","description":"The id of the pick/drop","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_4"}}}},"responses":{"201":{"description":"created successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_201_2"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments/{shipment_id}/picks-drops/reordering":{"post":{"tags":["shipments"],"summary":"update the ordering of picks/drops","description":"this operation used to update the ordering of picks/drops","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"version","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"required":["pickDrop_id","picks_drops_index"],"type":"array","items":{"$ref":"#/components/schemas/body_5"}}}}},"responses":{"201":{"description":"created successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/response_info"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments/{shipment_id}/picks-drops/":{"post":{"tags":["shipments"],"summary":"create new pick/drop","description":"this operation used to create new pick/drop","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"version","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Picks_drops_request"}}}},"responses":{"201":{"description":"created successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/response_info"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments/{shipment_id}/picks-drops/{pick_drop_id}":{"delete":{"tags":["shipments"],"summary":"soft delete pick/drop","description":"this operation used to soft delete pick/drop.","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"pick_drop_id","in":"path","description":"The id of the pick/drop","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"version","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"201":{"description":"created successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/response_info"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments/{shipment_id}/pick-drop/{pick_drop_id}/appointment":{"post":{"tags":["shipments"],"summary":"update appointment datetime","description":"update appointment datetime for pick/drop","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"pick_drop_id","in":"path","description":"The id of the pick/drop","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"version","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_6"}}}},"responses":{"201":{"description":"created successful","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments/eta":{"post":{"tags":["shipments"],"description":"this operation used to get the shipments eta that active and next_run less than current time.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}},"/shipments/{shipment_id}/eta":{"put":{"tags":["shipments"],"description":"this operation used to update ETA table. or create new record if not exist.","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_7"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"delete":{"tags":["shipments"],"description":"this operation used to deactive ETA tracking","parameters":[{"name":"shipment_id","in":"path","description":"The id of the shipment","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authroized Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"security":[{"bearerAuth":[]}]},"options":{"tags":["shipments"],"parameters":{"in":"path","required":true,"type":"string"},"responses":{"200":{"description":"200 response","schema":{"$ref":"#/definitions/Empty"},"headers":{"Access-Control-Allow-Origin":{"type":"string"},"Access-Control-Allow-Methods":{"type":"string"},"Access-Control-Allow-Headers":{"type":"string"}}}},"x-amazon-apigateway-integration":{"responses":{"default":{"statusCode":"200","responseParameters":{"method.response.header.Access-Control-Allow-Methods":"'PATCH, OPTIONS'","method.response.header.Access-Control-Allow-Headers":"'Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token'","method.response.header.Access-Control-Allow-Origin":"'*'"}}},"requestTemplates":{"application/json":"{\"statusCode\": 200}"},"passthroughBehavior":"when_no_match","type":"mock"}}}},"securityDefinitions":{"CognitoAuthenticatedAccountAuthorizer":{"type":"apiKey","name":"Authorization","in":"header","x-amazon-apigateway-authtype":"cognito_user_pools","x-amazon-apigateway-authorizer":{"providerARNs":["${stageVariables.cognitouserpoolarn}"],"type":"cognito_user_pools"}}},"definitions":{"Empty":{},"Account":{"type":"object","required":["account_type","name"],"properties":{"account_type":{"type":"string","description":"The type of account, ie \"shipper\" or \"carrier\" etc"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"integer","format":"int32","description":"0 for inactive, 1 for active"},"no_bid":{"type":"boolean","description":"Account preference, if enabled skip bidding step and go straight to Pending assignment for all new shipments."},"auto_assign_carrier":{"type":"boolean","description":"Account preference, if enabled, auto set the carrier_id of a shipment to be the same as the shipment's account_id"},"contact_first_name":{"type":"string","description":"Contact first name"},"contact_last_name":{"type":"string","description":"Contact last name"},"contact_email":{"type":"string","description":"Contact email"},"default_currency":{"type":"string","description":"Default currency code"},"customs_broker_name":{"type":"string","description":"Customs broker name"},"customs_broker_email":{"type":"string","description":"Customs broker email"},"customs_broker_phone":{"type":"string","description":"Customs broker phone number"},"billing_first_name":{"type":"string","description":"Billing first name"},"billing_last_name":{"type":"string","description":"Billing last name"},"billing_email":{"type":"string","description":"Billing email"},"billing_phone":{"type":"string","description":"Billing phone number"},"billing_company_name":{"type":"string","description":"Billing company name"},"billing_address_line1":{"type":"string","description":"Billing address line 1"},"billing_address_line2":{"type":"string","description":"Billing address line 2"},"billing_country":{"type":"string","description":"Billing country code"},"billing_state":{"type":"string","description":"Billing state code"},"billing_city":{"type":"string","description":"Billing city"},"billing_zip":{"type":"string","description":"Billing zip"},"dispatch_phone_number":{"type":"string","description":"Dispatch broker phone number"},"mc_number":{"type":"string","description":"MC number"},"dot_number":{"type":"string","description":"DOT number"},"operates_trucks":{"type":"boolean","description":"Shipper operates its own trucks"},"updatedat":{"type":"integer","description":"timestamp when the account was last updated."}}},"AccountPatch":{"type":"object","properties":{"name":{"type":"string","description":"Contact first name"},"contact_first_name":{"type":"string","description":"Contact first name"},"contact_last_name":{"type":"string","description":"Contact last name"},"contact_email":{"type":"string","description":"Contact email"},"default_currency":{"type":"string","description":"Default currency code"},"customs_broker_name":{"type":"string","description":"Customs broker name"},"customs_broker_email":{"type":"string","description":"Customs broker email"},"customs_broker_phone":{"type":"string","description":"Customs broker phone number"},"billing_first_name":{"type":"string","description":"Billing first name"},"billing_last_name":{"type":"string","description":"Billing last name"},"billing_email":{"type":"string","description":"Billing email"},"billing_phone":{"type":"string","description":"Billing phone number"},"billing_company_name":{"type":"string","description":"Billing company name"},"billing_address_line1":{"type":"string","description":"Billing address line 1"},"billing_address_line2":{"type":"string","description":"Billing address line 2"},"billing_country":{"type":"string","description":"Billing country code"},"billing_state":{"type":"string","description":"Billing state code"},"billing_city":{"type":"string","description":"Billing city"},"billing_zip":{"type":"string","description":"Billing zip"},"dispatch_phone_number":{"type":"string","description":"Dispatch broker phone number"},"mc_number":{"type":"string","description":"MC number"},"dot_number":{"type":"string","description":"DOT number"},"operates_trucks":{"type":"boolean","description":"Shipper operates its own trucks"}}},"UserAttributeUpdate":{"type":"object","properties":{"userAttributes":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}}}}},"description":"User patch body"},"User":{"type":"object","required":["email"],"properties":{"custom\\:accountid":{"type":"integer"},"email":{"type":"string"},"family_name":{"type":"string"},"given_name":{"type":"string"},"id":{"type":"integer"},"password":{"type":"string"},"status":{"type":"integer","format":"int32","description":"User Status"}}},"MODELb86caa":{"type":"object","required":["email","lastname","name","password"],"properties":{"email":{"type":"string","description":"email for admin user"},"first_name":{"type":"string"},"lastname":{"type":"string"},"name":{"type":"string"},"password":{"type":"string"}}},"AccountRequestBody":{"type":"object","required":["email","lastname","name","password"],"properties":{"email":{"type":"string","description":"email for admin user"},"first_name":{"type":"string"},"lastname":{"type":"string"},"name":{"type":"string"},"password":{"type":"string"}}},"dispatch":{"type":"object","properties":{"id":{"type":"integer","description":"account id"},"dispatch_phone_number":{"type":"string"},"name":{"type":"string"}}},"Register":{"type":"object","required":["email","first_name","last_name","name","password","subscription_id"],"properties":{"email":{"type":"string","description":"user email"},"first_name":{"type":"string","description":"user first name"},"last_name":{"type":"string","description":"user last name"},"name":{"type":"string","description":"company name"},"password":{"type":"string"},"subscription_id":{"type":"number","description":"subscription id"},"account_id":{"type":"number","description":"account id"},"token":{"type":"string","description":"invite token"}}},"invite":{"type":"object","required":["email","name"],"properties":{"email":{"type":"string","description":"user email"},"name":{"type":"string","description":"user name"}}},"ActiveCarriers":{"type":"array","items":{"$ref":"#/definitions/Account"}},"UserId":{"type":"object","properties":{"user_id":{"type":"number","description":"user id"}}},"UpdateAccount":{"type":"object","properties":{"name":{"type":"string"},"contact_first_name":{"type":"string"},"contact_last_name":{"type":"string"},"contact_email":{"type":"string"},"dispatch_phone_number":{"type":"string"},"no_bid":{"type":"boolean"},"operates_trucks":{"type":"boolean"},"mc_number":{"type":"number"},"dot_number":{"type":"number"},"billing_first_name":{"type":"string","description":"user id"},"billing_last_name":{"type":"string","description":"user id"},"billing_email":{"type":"string"},"billing_phone":{"type":"string"},"billing_company_name":{"type":"string"},"billing_address_line1":{"type":"string"},"billing_address_line2":{"type":"string"},"billing_country":{"type":"string"},"billing_state":{"type":"string"},"billing_city":{"type":"string"},"billing_zip":{"type":"string"},"customs_broker_name":{"type":"string"},"customs_broker_email":{"type":"string"},"customs_broker_phone":{"type":"string"}}},"Carrier":{"type":"object","required":["account_type","name"],"properties":{"name":{"type":"string","description":"campany name"},"first_name":{"type":"string","description":"first name"},"last_name":{"type":"string","description":"last name"},"email":{"type":"string","description":"email"},"phone_number":{"type":"string","description":"user phone number"}}},"UserEmail":{"type":"object","properties":{"email":{"type":"string","description":"email"}}},"isExist":{"type":"object","properties":{"isExist":{"type":"boolean","description":"is user email exist or not"}}},"PreferredCarrier":{"type":"object","properties":{"carrier_id":{"type":"number","description":"carrier account id "},"isPreferred":{"type":"boolean","description":"set carrier preferred or not"}}},"activateUser":{"type":"object","properties":{"isActive":{"type":"boolean","description":"activate user"}}},"Carriers":{"type":"object","properties":{"preferred":{"type":"array","items":{"$ref":"#/definitions/Account"}},"carrier":{"type":"array","items":{"$ref":"#/definitions/Account"}}}}},"schemes":["https"],"components":{"schemas":{"Accounts_customers":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"customer_name":{"type":"string"},"account_id":{"type":"integer"}}},"Accounts_locations":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"account_id":{"type":"integer"},"location_code":{"type":"string"},"location_name":{"type":"string"},"phone_number":{"type":"string"},"street_one":{"type":"string"},"street_two":{"type":"string"},"city":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"country":{"type":"string"},"long":{"type":"number"},"lat":{"type":"number"},"location_utc_offset":{"type":"number"}}},"Accounts_carriers":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"carrier_name":{"type":"string"},"account_id":{"type":"integer"},"carrier_phones":{"type":"array","items":{"$ref":"#/components/schemas/Carriers_phones"}}}},"Carriers_phones":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"carrier_id":{"type":"integer"},"carrier_phone":{"type":"string"}}},"Accounts_preferences":{"type":"object","properties":{"id":{"type":"integer"},"preference_name":{"type":"string"},"preference_value":{"$ref":"#/components/schemas/Accounts_preferences_preference_value"},"account_id":{"type":"integer"},"user_id":{"type":"integer"}}},"Accounts_truck_trailer_tracking":{"type":"object","properties":{"id":{"type":"integer"},"truck_number":{"type":"string"},"trailer_number":{"type":"string"},"tracking_ref_id":{"type":"string"},"carrier_id":{"type":"integer"},"account_id":{"type":"integer"},"eld_type":{"type":"string"}}},"Accounts_truck_trailer_response":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}},"configurations":{"type":"object","properties":{"id":{"type":"integer"},"key":{"type":"string","description":"the key of configure"},"value":{"type":"string","description":"the value of configure, josn formmated"}}},"Error":{"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"},"extraData":{"$ref":"#/components/schemas/Error_extraData"}}},"body":{"required":["account_type","company_name","email","first_name","last_name","password"],"type":"object","properties":{"account_type":{"type":"integer","description":"the type of account","enum":[1,2,3,4]},"company_name":{"type":"string","description":"Company name cannot be less than 3 characters"},"first_name":{"type":"string","description":"first Name must be at least 3 characters and can only have letters and name symbols and  must be at most 30 characters"},"last_name":{"type":"string","description":"last Name must be at least 3 characters and can only have letters and name symbols and  must be at most 30 characters"},"email":{"type":"string","format":"email"},"phone_number":{"maxLength":12,"minLength":12,"type":"string","description":"Optional. The phone number should be like +1 999-999-9999"},"password":{"type":"string","description":"Password must contain numbers, uppercase, lowercase letters and a special character, at least 8 characters","format":"password"}}},"body_1":{"required":["preference_name","preference_value"],"type":"object","properties":{"preference_name":{"type":"string","description":"the name of preference, that will have the value \"Key\""},"preference_value":{"type":"string","description":"the value of prefernce which it type is json"}}},"body_2":{"type":"object","properties":{"key":{"type":"string","description":"the key of configure"},"value":{"type":"string","description":"the value of configure will be json formatted"}}},"Accounts_preferences_preference_value":{"type":"object","properties":{"value":{"type":"string"}}},"Error_extraData":{"type":"object","properties":{"customFields":{"type":"string"}},"example":"{}"}},"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}}}